"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Button = exports.Wrapper = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _utility = require("../utility");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _templateObject2() {
  var data = _taggedTemplateLiteral(["\n       background-color: ", ";\n       color:", ";\n       position:absolute;\n       right:0;\n       padding-left:10px;\n       padding-right:10px;\n       padding-top:5px;\n       padding-bottom:5px;\n       margin-bottom:0px;\n       margin-right:15px;\n       border:none;\n       border-radius:5px;\n       cursor:pointer;\n       font-size:12px;\n       font-weight:600; \n       &:hover {\n        color: white;\n        background-color:", ";\n      }\n      &:focus{\n          outline:none\n      }\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n       display:flex;\n       align-items:flex-end;\n       padding-top:30px;\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Wrapper = _styledComponents["default"].div(_templateObject());

exports.Wrapper = Wrapper;

var Button = _styledComponents["default"].button(_templateObject2(), function (_ref) {
  var type = _ref.type,
      color = _ref.color;
  return pickBackgroundColor(type, color, true);
}, function (_ref2) {
  var type = _ref2.type,
      color = _ref2.color;
  return pickColor(type, color);
}, function (_ref3) {
  var type = _ref3.type,
      color = _ref3.color;
  return pickBackgroundColor(type, color);
});

exports.Button = Button;

var pickBackgroundColor = function pickBackgroundColor(type, color, alpha) {
  if (color) {
    if (color.startsWith('#')) {
      return (0, _utility.hexToRgba)(color, alpha);
    }

    return (0, _utility.rgbToRgba)(color, alpha);
  }

  switch (type) {
    case "info":
      return "rgba(0,87,255,".concat(alpha ? '0.1' : 1, ")");

    case "warning":
      return "rgba(255,157,0,".concat(alpha ? '0.1' : 1, ")");

    case "success":
      return "rgba(0,216,0,".concat(alpha ? '0.1' : 1, ")");

    case "error":
      return "rgba(255,0,0,".concat(alpha ? '0.1' : 1, ")");

    default:
      return "rgba(190,190,190,".concat(alpha ? '0.1' : 1, ")");
  }
};

var pickColor = function pickColor(type, color) {
  if (color) {
    return color;
  }

  switch (type) {
    case "info":
      return "rgba(0, 87, 255)";

    case "warning":
      return "rgba(255,157,0)";

    case "success":
      return "rgba(0,216,0)";

    case "error":
      return "rgba(255,0,0)";

    default:
      return "rgba(190,190,190)";
  }
};