"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Subtitle = exports.Title = exports.Wrapper = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _templateObject3() {
  var data = _taggedTemplateLiteral(["\n  color:rgba(150,150,150);\n  font-size:11px;\n  font-weight:500;\n  margin-top:3px;\n"]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = _taggedTemplateLiteral(["\n  color: ", ";\n  font-size:15px;\n  font-weight:600;\n  margin-top:0px;\n  margin-bottom:0px;\n  font-family: 'Arial';\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n       display:block;\n       justify-items:center;             \n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Wrapper = _styledComponents["default"].div(_templateObject());

exports.Wrapper = Wrapper;

var Title = _styledComponents["default"].p(_templateObject2(), function (_ref) {
  var type = _ref.type,
      color = _ref.color;
  return pickColor(type, color);
});

exports.Title = Title;

var Subtitle = _styledComponents["default"].p(_templateObject3());

exports.Subtitle = Subtitle;

var pickColor = function pickColor(type, color) {
  if (color) {
    return color;
  }

  switch (type) {
    case "info":
      return "rgba(0, 87, 255)";

    case "warning":
      return "rgba(255,157,0)";

    case "success":
      return "rgba(0,216,0)";

    case "error":
      return "rgba(255,0,0)";

    default:
      return "rgba(40,40,40)";
  }
};