"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

var _react = _interopRequireDefault(require("react"));

var _reactTestRenderer = _interopRequireDefault(require("react-test-renderer"));

var _enzyme = _interopRequireWildcard(require("enzyme"));

var _enzymeAdapterReact = _interopRequireDefault(require("enzyme-adapter-react-16"));

var _index = _interopRequireDefault(require("./index"));

var _Styled = require("./Styled");

var _utility = require("../../utility");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

_enzyme["default"].configure({
  adapter: new _enzymeAdapterReact["default"]()
});

describe("<Title/>", function () {
  var props = {
    type: "info",
    title: "Title",
    subtitle: "Subtitle"
  };
  it('allows us to set props', function () {
    var wrapper = (0, _enzyme.mount)( /*#__PURE__*/_react["default"].createElement(_index["default"], props));
    expect(wrapper.props().title).toBe('Title');
    wrapper.setProps({
      title: 'Notification'
    });
    expect(wrapper.props().title).toBe('Notification');
  });
  it('renders children when passed in', function () {
    var type = props.type,
        title = props.title,
        subtitle = props.subtitle;
    var wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react["default"].createElement(_index["default"], props));
    expect(wrapper.contains( /*#__PURE__*/_react["default"].createElement(_Styled.Wrapper, null, /*#__PURE__*/_react["default"].createElement(_Styled.Title, {
      type: type,
      color: null
    }, (0, _utility.upperCaseFirstLetter)(title)), /*#__PURE__*/_react["default"].createElement(_Styled.Subtitle, null, (0, _utility.upperCaseFirstLetter)(subtitle))))).toBe(true);
  });
  test("has a valid snapshot", function () {
    var component = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_index["default"], props));

    var tree = component.toJSON();
    expect(tree).toMatchSnapshot();
  });
});