"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Wrapper = void 0;

var _styledComponents = _interopRequireWildcard(require("styled-components"));

var _utility = require("./utility");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _templateObject4() {
  var data = _taggedTemplateLiteral(["\n      @media (max-width: 680px), screen and (orientation: portrait) {\n        min-width:240px;         \n      };\n      position:absolute;\n      overflow:hidden;\n      bottom:0;\n      right:0;\n      margin-right:1.2em;\n      margin-bottom:1.2em;\n      background-color: ", ";\n      padding:1.2em;\n      min-width:350px;\n      min-height:100px;\n      border-radius:", ";\n      box-shadow: 0 0.2em 2em 0 ", ";\n      animation: ", " ", ";\n      animation-fill-mode: forwards;"]);

  _templateObject4 = function _templateObject4() {
    return data;
  };

  return data;
}

function _templateObject3() {
  var data = _taggedTemplateLiteral(["{\n  from { transform:translateY(100%);}\n to { transform:translateY(0);}\n}"]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = _taggedTemplateLiteral(["{\n   from { transform:translateX(100%);}\n  to { transform:translateX(0);}\n}"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteral(["{\n      from { opacity:0; }\n      to { opacity:1; }\n}"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var fadeIn = (0, _styledComponents.keyframes)(_templateObject());
var leftToRight = (0, _styledComponents.keyframes)(_templateObject2());
var bottomToUp = (0, _styledComponents.keyframes)(_templateObject3());

var Wrapper = _styledComponents["default"].div(_templateObject4(), function (_ref) {
  var darkmode = _ref.darkmode;
  return setBackgroundColor(darkmode);
}, function (_ref2) {
  var rounded = _ref2.rounded;
  return rounded ? "1.2em" : "0.2em";
}, function (_ref3) {
  var type = _ref3.type,
      color = _ref3.color;
  return setShadowColor(type, color);
}, function (_ref4) {
  var duration = _ref4.duration;
  return setDuration(duration) + "s";
}, function (_ref5) {
  var animation = _ref5.animation;
  return setAnimation(animation);
});

exports.Wrapper = Wrapper;

var setBackgroundColor = function setBackgroundColor(darkmode) {
  if (darkmode) {
    return "#000010";
  }

  return "#fff";
};

var setShadowColor = function setShadowColor(type, color) {
  if (color) {
    if (color.indexOf('#') === 0) {
      return (0, _utility.hexToRgba)(color, 0.3);
    }

    return (0, _utility.rgbToRgba)(color, 0.3);
  }

  switch (type.toLowerCase()) {
    case "info":
      return "rgba(0, 87, 255, 0.3)";

    case "warning":
      return "rgba(255,157,0,0.3)";

    case "success":
      return "rgba(0,216,0,0.3)";

    case "error":
      return "rgba(255,0,0,0.3)";

    default:
      return "rgba(190,190,190,0.3)";
  }
};

var setAnimation = function setAnimation(animation) {
  switch (animation.toLowerCase()) {
    case "fadein":
      return fadeIn;

    case "left2right":
      return leftToRight;

    case "bottom2up":
      return bottomToUp;

    default:
      return fadeIn;
  }

  ;
};

var setDuration = function setDuration(duration) {
  if (duration) {
    return duration;
  }

  return 2;
};