"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

var _react = _interopRequireDefault(require("react"));

var _reactTestRenderer = _interopRequireDefault(require("react-test-renderer"));

var _enzyme = _interopRequireWildcard(require("enzyme"));

var _enzymeAdapterReact = _interopRequireDefault(require("enzyme-adapter-react-16"));

var _index = require("./index");

var _context = _interopRequireDefault(require("./context"));

var _Header = _interopRequireDefault(require("./Header"));

var _Body = _interopRequireDefault(require("./Body"));

var _Action = _interopRequireDefault(require("./Action"));

var _Styled = require("./Styled");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

_enzyme["default"].configure({
  adapter: new _enzymeAdapterReact["default"]()
});

describe("<Notification/>", function () {
  var data = {
    title: "System updates",
    subtitle: "This is related to your OS",
    message: "Your operating system is missing some files, please reboot your PC and upgrade your system."
  };
  var style = {
    rounded: true,
    animation: "left2right",
    duration: 1
  };
  var action = {
    name: "Reboot",
    event: function event() {
      return alert("Reboot");
    }
  };
  var props = {
    type: "info",
    data: data,
    style: style,
    action: action
  };
  it('allows us to set props', function () {
    var wrapper = (0, _enzyme.mount)( /*#__PURE__*/_react["default"].createElement(_index.Notification, props));
    expect(wrapper.props().type).toBe('info');
    wrapper.setProps({
      type: 'warning'
    });
    expect(wrapper.props().type).toBe('warning');
    expect(wrapper.props().data).toBe(data);
    expect(wrapper.props().style).toBe(style);
    expect(wrapper.props().action).toBe(action);
  });
  it('renders children when passed in', function () {
    var type = props.type;
    var title = data.title,
        subtitle = data.subtitle,
        message = data.message;
    var animation = style.animation,
        rounded = style.rounded,
        duration = style.duration;
    var name = action.name,
        event = action.event;
    var wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react["default"].createElement(_index.Notification, props));
    expect(wrapper.contains( /*#__PURE__*/_react["default"].createElement(_Styled.Wrapper, {
      type: type,
      animation: animation,
      rounded: rounded,
      duration: duration
    }, /*#__PURE__*/_react["default"].createElement(_Header["default"], {
      title: title,
      subtitle: subtitle
    }), /*#__PURE__*/_react["default"].createElement(_Body["default"], {
      message: message
    }), /*#__PURE__*/_react["default"].createElement(_Action["default"], {
      name: name,
      onClick: event
    })))).toBeTruthy();
  }); //  Undirect test for withProvider.js

  it("should return a Notification with a context provider", function () {
    var wrapper = (0, _enzyme.shallow)( /*#__PURE__*/_react["default"].createElement(_index.Notification, props));
    expect(wrapper.find( /*#__PURE__*/_react["default"].createElement(_context["default"].Provider, {
      value: {
        type: "info"
      }
    }, /*#__PURE__*/_react["default"].createElement(_index.Notification, props)))).toBeTruthy();
  });
  test("has a valid snapshot", function () {
    var component = _reactTestRenderer["default"].create( /*#__PURE__*/_react["default"].createElement(_index.Notification, props));

    var tree = component.toJSON();
    expect(tree).toMatchSnapshot();
  });
});