"use strict";

var _utility = require("./utility");

describe("upperCaseFirstLetter utility function", function () {
  it("should uppercase the first letter of a string", function () {
    expect((0, _utility.upperCaseFirstLetter)("react")).toStrictEqual("React");
    expect((0, _utility.upperCaseFirstLetter)("React Notification")).toStrictEqual("React Notification");
  });
});
describe("hexToRgba utility function", function () {
  it("should convert Hex format to rgba format", function () {
    expect((0, _utility.hexToRgba)("#0057FF")).toBe("rgba(0, 87, 255, 1)");
  });
  it("should throw an error", function () {
    var invalidRgb = function invalidRgb() {
      return (0, _utility.hexToRgba)("#rgb");
    };

    expect(invalidRgb).toThrowError();
  });
});
describe("rgbToRgba utility function", function () {
  it("should convert rgb format to rgba format", function () {
    expect((0, _utility.rgbToRgba)("rgb(0, 87, 255)")).toBe("rgba(0, 87, 255, 1)");
  });
});